Subject: Re: Call Audit Feedback : HFL
From: "Jet Jason Paraiso. Gromea" <[email-masked]>
To: Amit Gupta <[email-masked]>
Cc: Pritish Nandi <[email-masked]>, deeksha <[email-masked]>, Ashish Dabral <[email-masked]>
Date: Tue, 9 Nov 2021 13:34:27 -0700 (MST)

Hi Amit, 

I thank you for the feedback and surely it will help me improve, but sorry though I did not realize until I opened it that you will be forwarding a quality check through Zimbra. Apparently I was not aware that I should be getting one. I am sorry. 

Remarks are duly noted and thank you for reminding me on these matters as I was thinking it is not as formal as I thought than I used to do in a bank. Rest assured it should improve. 

Now, on the other hand may I kindly ask for recalibration of some processes we have so we can grow as a team with polished and aligned procedures that I am not aware of during our Theoretical training. 

Believe me and I know you must agree that the actual battle field is totally different from the training part. I do not feel as fully equipped as of yet but I catch up accordingly. 

I would also like to thank our previous colleague Theo who gave me a little bit of input in terms of other processes. 

These are such as: ( for polishing) 

AR, Proper ticket tagging, Webmail access, 

In this regard, maybe I can humbly ask for an hour of your time on Friday afternoon as I believe you do not work on night shifts and then we can just offset the 1 hour for my log in time. 

My schedule for the afternoon will not be free until Friday afternoon as I am still attending to my mother in the hospital and only upon her release on Thursday afternoon. 

I am happy being part of this team and I am in one goal with you, to provide exceptional service 

Please help me with these clarifications that will help me avoid any future mistakes that carries the metric of the entire team. 

Thank you kindly ! 

Sincerely, 
-- 

JET JASON PARAISO GROMEA 

+639171057305 W/app-Viber 

From: "Amit Gupta" <[email-masked]> 
To: "Jet Jason, Paraiso. Gromea" <[email-masked]> 
Cc: "Pritish Nandi" <[email-masked]>, "deeksha" <[email-masked]>, "Ashish Dabral" <[email-masked]> 
Sent: Tuesday, November 9, 2021 5:12:35 PM 
Subject: Call Audit Feedback : HFL 

Hi Jason, 

Please find the details of the audit feedback for HFL calls: 

Parameters 	Markings (Yes/No/NA) 	Remarks/Comments 	Call Unique ID 
Call opening, Greeting, Introduction and Branding HFL 	Yes 	Opened call, greeted customer, introduced self and branded HFL as well 	auto-1635796067-+14342224418-6503 
Offered assistance to the caller or not? 	Yes 	Offered assistance to the customer 	Call Duration : 6 mins 02 seconds 
Did he/she accessed customer details/order and verified customer name ? 	Yes 	accessed customer details/order and verified customer name 	
Offered solution/escalated to right dept? 	Yes 	Offered solution 	
Mentioned notes/updated ticket as applicable? 	Yes 	Updated notes in UC 	
Did he/she demonstrate active listening skills? 	Yes 	Demonstrated active listening skills 	
Overall call handling which includes professionalism, hold procedure and other protocols like soft skills, acknowledgement, etc 	NO 	Missed to apologize for the wrong product recd, 	
Acknowledgement of customer concerns/queries and answer them effectively was followed or not? 	Yes 	Acknowledged of customer concerns/queries and answer them effectively 	
Once the issue is resolved/ taken care of if we asked is there anything else that I may help you with? 	NO 	Missed to ask if there is anything else that I may help you with? 	
Closing and branding followed or not? 	NO 	missed to brand HFL during closing 	

			
Call Score : 7 		Call comments and Details : Customer called in as she recd wrong product and to cancel auto ship 	Lowlights : explanation for AS needs to be better, Missed to apologize for the wrong product recd, Missed to ask if there is anything else that I may help you with?, missed to brand HFL during closing 

Parameters 	Markings (Yes/No/NA) 	Remarks/Comments 	Call Unique ID 
Call opening, Greeting, Introduction and Branding HFL 	Yes 	Opened call, greeted customer, introduced self and branded HFL as well 	auto-1635789447-+17632138009-6503 
Offered assistance to the caller or not? 	Yes 	Offered assistance to the customer 	Call Duration : 16 mins 20 seconds 
Did he/she accessed customer details/order and verified customer name ? 	Yes 	accessed customer details/order and verified customer name 	
Offered solution/escalated to right dept? 	NO 	Did not answer/advised customer's query regarding the FDA warning letter, 	
Mentioned notes/updated ticket as applicable? 	NA 		
Did he/she demonstrate active listening skills? 	NO 	Need to work on active listening, need to take notes while on a call 	
Overall call handling which includes professionalism, hold procedure and other protocols like soft skills, acknowledgement, etc 	NO 	was not able to open the customer order details thru phone no and it was accessible in 1 go, took too long to process an order 	
Acknowledgement of customer concerns/queries and answer them effectively was followed or not? 	NO 	Did not answer/advised customer's query regarding the FDA warning letter, 	
Once the issue is resolved/ taken care of if we asked is there anything else that I may help you with? 	Yes 	asked if there anything else that I may help you with? 	
Closing and branding followed or not? 	NO 	Missed to brand HFL while closing 	

			
Call Score : 5 		Call comments and Details : customer called in to order Cholesterol Optimizer 	Lowlights : was not able to open the customer order details thru phone no and it was accessible in 1 go and then the call went in other direction, did not answer/advised customer's query regarding the FDA warning letter, Missed to brand HFL while closing, Need to work on active listening, need to take notes while on a call 

Parameters 	Markings (Yes/No/NA) 	Remarks/Comments 	Call Unique ID 
Call opening, Greeting, Introduction and Branding HFL 	Yes 	Opened call, greeted customer, introduced self and branded HFL as well 	auto-1635782495-+16122096745-6503 
Offered assistance to the caller or not? 	Yes 	Offered assistance to customer 	Call Duration : 10 mins 09 seconds 
Did he/she accessed customer details/order and verified customer name ? 	Yes 	accessed customer details/order and verified customer name 	
Offered solution/escalated to right dept? 	Yes 	Offered solution ( updated card details, advised about the product and changed products in the order as per the customer) 	
Mentioned notes/updated ticket as applicable? 	Yes 	Updated notes however it was done on the customer section instead of merchant section 	
Did he/she demonstrate active listening skills? 	Yes 	Demonstrated active listening skills 	
Overall call handling which includes professionalism, hold procedure and other protocols like soft skills, acknowledgement, etc 	NO 	Followed soft skills and was professional on the call however need to provide information regarding dosage as per the website and then provide suggestions based on how long he has been taking the supplement/based on his needs. 	
Acknowledgement of customer concerns/queries and answer them effectively was followed or not? 	Yes 	Acknowledgement of customer concerns/queries and answered them effectively 	
Once the issue is resolved/ taken care of if we asked is there anything else that I may help you with? 	Yes 	asked customer if there is anything else that I may help you with? 	
Closing and branding followed or not? 	NO 	Missed to brand HFL while closing 	

			
Call Score : 8 		Call comments and Details : Customer called in to update his card details on the phone as he was unable to do it online and also wanted to know about a specfic product details (Deep Sleep Formula), 	Lowlights : Followed soft skills and was professional on the call however need to provide information regarding dosage as per the website and then provide suggestions based on how long he has been taking the supplement/based on his needs, missed to brand HFL while closing 

Parameters 	Markings (Yes/No/NA) 	Remarks/Comments 	Call Unique ID 
Call opening, Greeting, Introduction and Branding HFL 	Yes 	Opened call, greeted customer, introduced self and branded HFL as well 	auto-1635780709-+15613020963-6503 
Offered assistance to the caller or not? 	Yes 	Offered assistance to customer 	Call Duration : 05 mins 23 seconds 
Did he/she accessed customer details/order and verified customer name ? 	NA 	not needed 	
Offered solution/escalated to right dept? 	NO 	should not comment on the ingredients that was used earlier/now if not mentioned in product ingredient page (should have created a ticket and escalated to Debra for explanation) 	
Mentioned notes/updated ticket as applicable? 	NA 	NA 	
Did he/she demonstrate active listening skills? 	NO 	Need to work on active listening skills to understand customer in 1 go 	
Overall call handling which includes professionalism, hold procedure and other protocols like soft skills, acknowledgement, etc 	NO 	"Service No" need to be used instead of direct no 	
Acknowledgement of customer concerns/queries and answer them effectively was followed or not? 	Yes 	Acknowledeged customer concerns however the answers were not effective so customer wanted to speak to someone else 	
Once the issue is resolved/ taken care of if we asked is there anything else that I may help you with? 	NA 	NA 	
Closing and branding followed or not? 	NO 	Missed to brand HFL during closing of the call 	

			
Call Score : 6 		Call comments and Details : Customer called in to know the reason as to why a specific ingredient of Choleslo was not showing in Cholesterol optimiser 	Lowlights : should not comment on the ingredients that was used earlier/now if not mentioned in product ingredient page (should have created a ticket and escalated to Debra for explanation) , need to work on active listening skills to understand customer in 1 go, "Service No" need to be used instead of direct no, missed to brand HFL during closing of the call 

Parameters 	Markings (Yes/No/NA) 	Remarks/Comments 	Call Unique ID 
Call opening, Greeting, Introduction and Branding HFL 	NO 	Missed to brand HFL after opening the call (late opening as well after 49 seconds) 	auto-1635776479-+13477419739-6503 
Offered assistance to the caller or not? 	Yes 	Offered assistance 	Call Duration : 02 mins 24 seconds 
Did he/she accessed customer details/order and verified customer name ? 	NA 	Not required as it was not related to any order 	
Offered solution/escalated to right dept? 	NO 	No solution offered/customer disconnected the call while he was looking for information. 	
Mentioned notes/updated ticket as applicable? 	NA 		
Did he/she demonstrate active listening skills? 	NO 	Need to work on active listening skills to understand customer in 1 go 	
Overall call handling which includes professionalism, hold procedure and other protocols like soft skills, acknowledgement, etc 	NO 	Need to work on listening skills ( not able to understand customer in 1 go), should not mention if someone was on chat with him as well, was not able to provide the information that the customer was looking for 	
Acknowledgement of customer concerns/queries and answer them effectively was followed or not? 	Yes 	Acknowledged customer queries however it was not answered. 	
Once the issue is resolved/ taken care of if we asked is there anything else that I may help you with? 	NA 	customer disconnected call however issue was not resolved 	
Closing and branding followed or not? 	NA 	customer disconnected call 	

			
Call Score : 6 		Call comments and Details : Customer called in to check if there was any deals/promotions going on for Alphaviril 	Lowlights : Needs to work on call opening, ASA (average speed of answering), missed to brand HFL after opening the call, took too long to look for information to answer customer queries ( missed to provide resolution), need to work on active listening skills to understand customer in 1 go, should not mention if someone was on chat with him as well, need to keep the websites (sales and product) open and handy. 

Best Regards, 

Thanks 
Amit